package com.dayou.enums.workflow;

import com.dayou.enums.CodeMsgEnumInterface;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/10/23
 * created with IntelliJ IDEA.
 */
public enum HandlerPermissionEnum implements CodeMsgEnumInterface<String,String> {

    EMPLOYEE("员工","EMPLOYEE"),
    POST("岗位","POST"),
    DEPARTMENT_LEADER("部门领导","DEPARTMENT_LEADER"),
    CLIENT_MANAGER("客户经理","CLIENT_MANAGER"),
    PRINCIPAL("项目负责人","PRINCIPAL"),
    PREVIOUS_HANDLER_LEADER("提交人上级领导","PREVIOUS_HANDLER_LEADER"),
    INITIATOR("发起人","INITIATOR"),
    PREVIOUS_HANDLER("上一提交人","PREVIOUS_HANDLER"),
    SYSTEM("系统控制","SYSTEM"),

    OUTWARD_STAFF("个贷外业","OUTWARD_STAFF"),

    INWARD_STAFF("个贷内业","INWARD_STAFF"),

    PRICING_STAFF("定价内业","PRICING_STAFF")
    ;

    HandlerPermissionEnum(String name, String code) {
        this.name = name;
        this.code = code;
    }

    private String name;

    private String code;

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return name;
    }

}
